Nobuyoshi Nakada wrote in post #1114433:
> Ben Daniels wrote in post #1113742:
>> /usr/local/lib/ruby/site_ruby/2.0.0/rbconfig/datadir.rb:9:in `<top
>> (required)>': Use RbConfig instead of obsolete and deprecated Config.
>
> Uninstall old rubygems.

This fixed it!  For some reason it was calling back to the old 
directories in the path.  I did an RVM remove and have only the latest 
version of rubygems and now irb and the RVM functions are working.

Thanks Nobu.

-- 
Posted via http://www.ruby-forum.com/.